﻿@model PontosCulturais.ViewModels.ResidentesViewModel
@await Html.PartialAsync("_Aviso", Model.Aviso)

<a class="btn btn-success mb-4" asp-action="Mostrar" asp-controller="Painel">Menu Principal</a>

@if (Model.Residentes.Count() > 0)
{
    <table class="table border-bottom">
        <thead>
            <tr>
                <th scope="col">CPF ou Registro de Nascimento</th>
                <th scope="col">Nome</th>
                <th scope="col">Parentesco</th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in Model.Residentes)
            {
                <tr>
                    <td>@item.CPFOuCertidão</td>
                    <td>@item.Nome</td>
                    <td>@item.Parentesco</td>
                </tr>
            }
        </tbody>
    </table>
}
else
{
    <p class="lead">Nada Encontrado.</p>
}


<form asp-action="CadastrarResidente" method="post" enctype="multipart/form-data" class="mt-4">

    <h1 class="display-4 mb-4">Adicionar Residente</h1>

    <div class="form-group row">
        <div class="col-sm-8">
            <label>Nome Completo*:</label>
            <input type="text" class="form-control" asp-for="Residente.Nome" />
        </div>

        <div class="col-sm-4">
            <label>Parentesco*:</label>
            <input type="text" class="form-control" asp-for="Residente.Parentesco" />
        </div>
    </div>

    <div class="form-group row">
        <div class="col">
            <label>CPF ou Registro de Nascimento*:</label>
            <input type="text" class="form-control" asp-for="Residente.CPFOuCertidão" />
        </div>
    </div>

    <button type="submit" class="btn btn-primary">Adicionar Residente</button>
</form>